NX Open C++ Reference Guide
|
Represents an NX part of type .sim. More...
Classes | |
struct | ImportErrorCodes |
Contains list of error codes for import of each entity type. More... | |
struct | ImportOptions |
Contains information about which entities to be imported. More... | |
Public Member Functions | |
NXOpen::CAE::CaePart * | FemPart () |
Returns the fem part associated with the sim part. | |
void | FinalizeCreation (NXOpen::CAE::CaePart *femPart, std::vector< NXString > &description) |
Finalizes the creation of the sim part file. | |
void | FinalizeCreation (NXOpen::CAE::CaePart *femPart, int femLayerOpt, std::vector< NXString > &description) |
Finalizes the creation of the sim part file. | |
NXOpen::CAE::SimPart::ImportErrorCodes | ImportSim (const NXString &fileName, const NXString &prependString, const NXOpen::CAE::SimPart::ImportOptions &selOptions, const std::vector< NXOpen::CAE::FEModelOccurrence * > &selectedFemoccs) |
Imports selected entities from the source sim into the current (target) sim. | |
NXOpen::CAE::SimPart::ImportErrorCodes | ImportSim (const char *fileName, const char *prependString, const NXOpen::CAE::SimPart::ImportOptions &selOptions, const std::vector< NXOpen::CAE::FEModelOccurrence * > &selectedFemoccs) |
Imports selected entities from the source sim into the current (target) sim. | |
NXOpen::CAE::SimSimulation * | Simulation () |
Returns the CAE::SimSimulation object Created in NX4.0.0. | |
![]() | |
NXOpen::CAE::CaeGroupCollection * | CaeGroups () |
Returns the CAE Group collection belonging to this Part Created in NX3.0.0. | |
NXOpen::CAE::ModelDisplayBuilder * | CreateModelDisplayBuilder () |
Creates a builder for model display controls command. | |
NXOpen::CAE::SolverAppendOption * | CreateSolverAppendOption () |
Returns a solver append option object for importing the solver specific data into an existing CAE::FemPart or CAE::SimPart . | |
void | DeleteSolverAppendOption (NXOpen::CAE::SolverAppendOption *appendOption) |
Deletes a solver append option object for importing the solver specific data into an existing CAE::FemPart or CAE::SimPart . | |
NXOpen::CAE::ModelCheck::ElementQualitySettingCollection * | ElementQualitySettings () |
Returns the element quality settings collection belonging to this CAE Part Created in NX8.5.0. | |
void | ExportJt (const NXString &fileName) |
Exports JT file. | |
void | ExportJt (const char *fileName) |
Exports JT file. | |
void | ExportSimulation (const NXString &solverName, NXOpen::CAE::CaeDataContainer *propertyList) |
Exports the Simulation data for a CAE::CaePart . | |
void | ExportSimulation (const char *solverName, NXOpen::CAE::CaeDataContainer *propertyList) |
Exports the Simulation data for a CAE::CaePart . | |
void | GetDescription (std::vector< NXString > &description) |
Gets the description assoicated with the Cae part. | |
void | ImportExistingSimulation (const NXString &solverName, NXOpen::CAE::CaeDataContainer *propertyList) |
Imports the solver specific data into an existing CAE::FemPart or CAE::SimPart . | |
void | ImportExistingSimulation (const char *solverName, NXOpen::CAE::CaeDataContainer *propertyList) |
Imports the solver specific data into an existing CAE::FemPart or CAE::SimPart . | |
NXOpen::CAE::MeshControlDisplayManager * | MeshControlDisplayMgr () |
Returns the mesh control display manager belonging to this IFem Created in NX3.0.0. | |
NXOpen::CAE::ModelCheckManager * | ModelCheckMgr () |
Returns the select element manager belonging to this IFem Created in NX3.0.0. | |
NXOpen::CAE::ModelingObjectPropertyTableCollection * | ModelingObjectPropertyTables () |
Returns the modeling object property table collection belonging to this CAE Part Created in NX3.0.0. | |
NXOpen::CAE::BeamSectionOffsetOptions * | NewBeamSectionOffsetOptions () |
Creates a CAE::BeamSectionOffsetOptions . | |
NXOpen::CAE::BeamSectionOptions * | NewBeamSectionOptions () |
Creates a CAE::BeamSectionOptions . | |
NXOpen::CAE::BeamSectionOrientationOptions * | NewBeamSectionOrientationOptions () |
Creates a CAE::BeamSectionOrientationOptions . | |
NXOpen::CAE::MaterialOptions * | NewMaterialOptions () |
Creates a CAE::MaterialOptions . | |
NXOpen::CAE::NodeElementInfoManager * | NodeElementInfoMgr () |
Returns the node element info manager belonging to this IFem Created in NX3.0.0. | |
NXOpen::CAE::PhysicalPropertyTableCollection * | PhysicalPropertyTables () |
Returns the physical property table collection belonging to this CAE Part Created in NX3.0.0. | |
NXOpen::CAE::SelectElementsManager * | SelectElementMgr () |
Returns the select element manager belonging to this IFem Created in NX3.0.0. | |
void | SetDescription (std::vector< NXString > &description) |
Sets the description assoicated with the Cae part. | |
NXOpen::CAE::ShowHideManager * | ShowHideMgr () |
Returns the show hide manager belonging to the part Created in NX3.0.0. | |
NXOpen::CAE::SmartSelectionManager * | SmartSelectionMgr () |
Returns the smart selection manager belonging to this part Created in NX3.0.0. | |
![]() | |
NXOpen::GeometricAnalysis::AnalysisManager * | AnalysisManager () |
Returns the GeometricAnalysisManager for part Created in NX5.0.0. | |
NXOpen::ArcCollection * | Arcs () |
Returns the ArcCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Assemblies::ProductOutlineManager * | Assemblies () |
Returns the NXOpen::Assemblies::ProductOutlineManager belonging to this session Created in NX6.0.0. | |
NXOpen::Assemblies::AssemblyManager * | AssemblyManager () |
Returns the NXOpen::Assemblies::AssemblyManager belonging to this session Created in NX6.0.0. | |
void | AssignPermanentName (const NXString &newFileName) |
Saves a temporary part with the given name. | |
void | AssignPermanentName (const char *newFileName) |
Saves a temporary part with the given name. | |
NXOpen::AxisCollection * | Axes () |
Returns the AxisCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Features::BaseFeatureCollection * | BaseFeatures () |
Returns the FeatureCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::CameraCollection * | Cameras () |
Returns the Display.CameraCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::CAM::CAMFeatureCollection * | CAMFeatures () |
Returns the CAMFeatureCollection instance belonging to this part Created in NX7.5.0. | |
void | Close (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses) |
Closes an open part. | |
NXOpen::ColorManager * | Colors () |
Manages the standard NX colors Created in NX3.0.0. | |
void | CompleteStructure () |
Make additions necessary to complete the incomplete assembly structure of the input part Created in NX4.0.0. | |
NXOpen::Assemblies::ComponentAssembly * | ComponentAssembly () |
Returns the component assembly. | |
NXOpen::CoordinateSystemCollection * | CoordinateSystems () |
Returns the CoordinateSystemCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DynamicSectionBuilder * | CreateDynamicSectionBuilder (bool loadFromView) |
Creates a Display::DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &effectivityFormula) |
Creates a EffectivityConditionBuilder. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *effectivityFormula) |
Creates a EffectivityConditionBuilder. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &validationBasisFormula, const NXString &effectivityFormula) |
Creates a EffectivityConditionBuilder with initializing validation basis formula. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *validationBasisFormula, const char *effectivityFormula) |
Creates a EffectivityConditionBuilder with initializing validation basis formula. | |
NXOpen::Display::FacetSettingsBuilder * | CreateFacetSettingsBuilder () |
Creates a builder for the Facet Settings dialog. | |
NXOpen::GroupBuilder * | CreateGatewayGroupBuilder (NXOpen::Group *group) |
Creates a Groups builder. | |
NXOpen::Display::PerspectiveOptionsBuilder * | CreatePerspectiveOptionsBuilder () |
Creates a builder for the Perspective Options dialog. | |
NXOpen::ReferenceSet * | CreateReferenceSet () |
Creates a ReferenceSet object. | |
NXOpen::CurveCollection * | Curves () |
Returns the CurveCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::DatumCollection * | Datums () |
Returns the DatumCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DecalCollection * | Decals () |
Returns the Display.DecalCollection instance belonging to this part Created in NX3.0.0. | |
void | DeleteReferenceSet (NXOpen::ReferenceSet *referenceSetObject) |
Deletes a ReferenceSet object Created in NX6.0.0. | |
NXOpen::Optimization::DesignStudyCollection * | DesignStudy () |
Returns the design study instance belonging to this part Created in NX3.0.0. | |
NXOpen::DirectionCollection * | Directions () |
Returns the DirectionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DynamicSectionCollection * | DynamicSections () |
Returns the Display.DynamicSectionCollection instance belonging to this part Created in NX6.0.0. | |
NXOpen::EllipseCollection * | Ellipses () |
Returns the EllipseCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::ExpressionCollection * | Expressions () |
Returns the ExpressionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Fields::FieldManager * | FieldManager () |
Returns the field main. | |
NXOpen::FontCollection * | Fonts () |
Returns the FontCollection instance belonging to this part Created in NX3.0.0. | |
NXString | FullPath () |
Returns the full path of the part. | |
NXOpen::CAE::FunctionCollection * | Functions () |
Returns the CAE.FunctionCollection for this part Created in NX5.0.0. | |
std::vector < NXOpen::ReferenceSet * > | GetAllReferenceSets () |
Get all the ReferenceSet objects in this part. | |
NXOpen::BasePart::CollaborativeContentType | GetCollaborativeContentType () |
The collaborative content type of this part. | |
std::vector < NXOpen::BasePart::HistoryEventInformation > | GetHistoryInformation () |
Get history of part. | |
NXOpen::BasePart::IncompleteStatus | GetIncompleteStatus () |
Inquire whether the provided part is flagged as being incomplete. | |
NXString | GetMakeUniqueName () |
Gets the Unique name on a part for the Make Unique operation. | |
void | GetPreviewImage (int *width, int *height, std::vector< int > &pixels) |
Get the preview image This will return the graphic preview image of the part (when available). | |
NXOpen::BasePart::TransientStatus | GetTransientStatus () |
Inquire whether the provided part is flagged as being transient. | |
NXOpen::Display::GridCollection * | Grids () |
Returns the Display.GridCollection instance belonging to this part Created in NX6.0.0. | |
NXOpen::HyperbolaCollection * | Hyperbolas () |
Returns the HyperbolaCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Gateway::ImageCaptureManager * | ImageCaptureManager () |
Returns the Gateway.ImageCaptureManager instance belonging to this part Created in NX7.5.0. | |
NXOpen::Display::ImageCollection * | Images () |
Returns the Display.ImageCollection instance belonging to this part Created in NX9.0.0. | |
NXOpen::Display::ImageDataCollection * | ImagesData () |
Returns the Display.ImageDataCollection instance belonging to this part Created in NX9.0.0. | |
NXOpen::InfiniteLineCollection * | InfiniteLines () |
Returns the InfiniteLineCollection instance belonging to this part Created in NX7.5.0. | |
bool | IsFullyLoaded () |
Returns the load status of a part. | |
bool | IsReadOnly () |
Returns the read-only status of a part. | |
NXOpen::Layer::CategoryCollection * | LayerCategories () |
Returns a collection of layer categories Created in NX3.0.0. | |
NXOpen::Layer::LayerManager * | Layers () |
Returns the LayerManager for this part Created in NX3.0.0. | |
NXOpen::LayoutCollection * | Layouts () |
Returns the LayoutCollection instance belonging to this part Created in NX3.0.0. | |
NXString | Leaf () |
Returns the leaf name of the part. | |
NXOpen::LightCollection * | Lights () |
Returns the LightCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::LineCollection * | Lines () |
Returns the LineCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::PartLoadStatus * | LoadFeatureDataForSelection () |
Ensure that feature data is loaded for a part. | |
NXOpen::PartLoadStatus * | LoadFully () |
Ensures that this part is fully loaded. | |
NXOpen::PartLoadStatus * | LoadThisPartFully () |
Ensures that this part is fully loaded. | |
NXOpen::MaterialManager * | MaterialManager () |
Returns the Material Manager belonging to this Part Created in NX3.0.0. | |
NXOpen::MeasureManager * | MeasureManager () |
Returns the measure manager for this part Created in NX3.0.0. | |
NXOpen::ModelingViewCollection * | ModelingViews () |
Returns the ModelingViewCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::NXMatrixCollection * | NXMatrices () |
Returns the NXMatrixCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::OffsetCollection * | Offsets () |
Returns the OffsetCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Optimization::OptimizationCollection * | Optimization () |
Returns the optimization instance belonging to this part Created in NX3.0.0. | |
NXOpen::ParabolaCollection * | Parabolas () |
Returns the ParabolaCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::BasePart::PartPreview | PartPreviewMode () |
Returns the preview mode Created in NX3.0.0. | |
NXOpen::BasePart::Units | PartUnits () |
Returns the units of the part file. | |
NXOpen::PDM::PdmPart * | PDMPart () |
Returns the instance of the PDM.PdmPart class Created in NX3.0.0. | |
NXOpen::PlaneCollection * | Planes () |
Return a collection of Planes Created in NX3.0.0. | |
NXOpen::PlotManager * | PlotManager () |
Returns the PlotManager instance belonging to this part Created in NX3.0.0. | |
NXOpen::PointCollection * | Points () |
Returns the PointCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Preferences::PartPreferences * | Preferences () |
Returns the PartPreferences instance belonging to this part Created in NX3.0.0. | |
NXOpen::PropertiesManager * | PropertiesManager () |
Returns the PropertiesManager instance belonging to this part Created in NX8.0.0. | |
void | RegenerateDisplayFacets (bool regenerateChildren) |
Regenerates display specific cached facets in the part. | |
void | ReinstateTransience () |
Reinstate the transient status to the formerly transient input part Created in NX4.0.0. | |
void | RemoveTransience () |
Remove the transient status from the input part Created in NX4.0.0. | |
NXOpen::BasePart * | Reopen (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
Reopens a loaded part. | |
NXOpen::BasePart * | ReopenAs (const NXString &fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
Reopens a loaded part. | |
NXOpen::BasePart * | ReopenAs (const char *fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
Reopens a loaded part. | |
NXOpen::Validate::RequirementCheckCollection * | RequirementChecks () |
Returns the RequirementCheckCollection instance belonging to this part Created in NX8.5.0. | |
NXOpen::Validate::RequirementCollection * | Requirements () |
Returns the RequirementCollection instance belonging to this part Created in NX8.5.0. | |
void | ReverseBlankAll () |
Reverse blank all the objects in the part. | |
NXOpen::RuleManager * | RuleManager () |
Returns the rule manager for this part Created in NX3.0.0. | |
NXOpen::PartSaveStatus * | Save (NXOpen::BasePart::SaveComponents saveComponentParts, NXOpen::BasePart::CloseAfterSave close) |
Saves the part whether it is modified or not. | |
NXOpen::PartSaveStatus * | SaveAs (const NXString &newFileName) |
Creates copy of target part. | |
NXOpen::PartSaveStatus * | SaveAs (const char *newFileName) |
Creates copy of target part. | |
void | SaveBookmark (const NXString &fileName, NXOpen::BasePart::BookmarkOption option) |
Saves a bookmark file. | |
void | SaveBookmark (const char *fileName, NXOpen::BasePart::BookmarkOption option) |
Saves a bookmark file. | |
bool | SaveDisplayFacets () |
Returns whether display quality facets are saved in the part file Created in NX9.0.0. | |
NXOpen::PartSaveOptions * | SaveOptions () |
Returns the PartSaveOptions instance belonging to this part Created in NX3.0.0. | |
NXOpen::ScalarCollection * | Scalars () |
Returns the ScalarCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::ScCollectorCollection * | ScCollectors () |
Returns the ScCollectorCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::SectionCollection * | Sections () |
Returns the SectionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::SelPrefCollection * | SelPref () |
Returns the Display.SelPrefCollection instance belonging to this part Created in NX3.0.0. | |
void | SetMakeUniqueName (const NXString &newUniqueName) |
Sets the unique name on part for the Make Unique operation Created in NX8.0.0. | |
void | SetMakeUniqueName (const char *newUniqueName) |
Sets the unique name on part for the Make Unique operation Created in NX8.0.0. | |
void | SetPartPreviewMode (NXOpen::BasePart::PartPreview mode) |
Sets the preview mode Created in NX3.0.0. | |
void | SetSaveDisplayFacets (bool saveDisplayFacets) |
Sets whether display quality facets are saved in the part file Created in NX9.0.0. | |
void | SetUniqueIdentifier (const NXString &identifier) |
Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. | |
void | SetUniqueIdentifier (const char *identifier) |
Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. | |
NXOpen::Display::TrueShadingCollection * | SHEDObjs () |
Returns the Display.TrueShadingCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::SplineCollection * | Splines () |
Returns the SplineCollection instance belonging to this part Created in NX5.0.0. | |
NXOpen::Display::TrueStudioCollection * | TrueStudioObjs () |
Returns the Display.TrueStudioCollection instance belonging to this part Created in NX8.0.0. | |
NXString | UniqueIdentifier () |
Returns the unique identifier for this part used to determine whether parts can be quietly substituted during part open. | |
NXOpen::UnitCollection * | UnitCollection () |
Returns a collection of Units Created in NX3.0.0. | |
NXOpen::UserDefinedObjects::UserDefinedObjectManager * | UserDefinedObjectManager () |
Returns the UserDefinedObjects::UserDefinedObjectManager belonging to this session Created in NX3.0.0. | |
NXOpen::ValidationCollection * | Validations () |
Returns the validation for this part Created in NX3.0.0. | |
NXOpen::ViewCollection * | Views () |
Returns the ViewCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::WCS * | WCS () |
Returns the WCS instance belonging to this part Created in NX3.0.0. | |
NXOpen::XformCollection * | Xforms () |
Returns the XformCollection instance belonging to this part Created in NX3.0.0. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Represents an NX part of type .sim.
Use the PartCollection class to load or create a part.
Created in NX4.0.0.
NXOpen::CAE::CaePart* NXOpen::CAE::SimPart::FemPart | ( | ) |
Returns the fem part associated with the sim part.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimPart::FinalizeCreation | ( | NXOpen::CAE::CaePart * | femPart, |
std::vector< NXString > & | description | ||
) |
Finalizes the creation of the sim part file.
This method should be called immediately after creating the sim part file. This method should be called only once for each sim part file. The second call to the method will raise an error.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
femPart | the fem part file CAE::FemPart |
description | description NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimPart::FinalizeCreation | ( | NXOpen::CAE::CaePart * | femPart, |
int | femLayerOpt, | ||
std::vector< NXString > & | description | ||
) |
Finalizes the creation of the sim part file.
This method should be called immediately after creating the sim part file. This method should be called only once for each sim part file. The second call to the method will raise an error.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
femPart | the fem part file CAE::FemPart |
femLayerOpt | layer option. -1 = USE_ORIGINAL, 0 = USE_WORK |
description | description NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimPart::ImportErrorCodes NXOpen::CAE::SimPart::ImportSim | ( | const NXString & | fileName, |
const NXString & | prependString, | ||
const NXOpen::CAE::SimPart::ImportOptions & | selOptions, | ||
const std::vector< NXOpen::CAE::FEModelOccurrence * > & | selectedFemoccs | ||
) |
Imports selected entities from the source sim into the current (target) sim.
The FeModelOccurrence of the target sim onto which the user needs to import needs to be passed in. The input will be an array of FeModelOccurrences, if user wants to import the same source sim onto multiple FeModelOccurrences of the target sim. @return list of generated error codes during import
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
fileName | name of the source simulation file NOTE: The full Unicode character set is not supported for this parameter. |
prependString | string to prepend imported simulation entity names, can be NULL or empty NOTE: The full Unicode character set is not supported for this parameter. |
selOptions | options indicating the types of entities to be imported |
selectedFemoccs | Array of FeModelOccurrences to import onto CAE::FEModelOccurrence |
NXOpen::CAE::SimPart::ImportErrorCodes NXOpen::CAE::SimPart::ImportSim | ( | const char * | fileName, |
const char * | prependString, | ||
const NXOpen::CAE::SimPart::ImportOptions & | selOptions, | ||
const std::vector< NXOpen::CAE::FEModelOccurrence * > & | selectedFemoccs | ||
) |
Imports selected entities from the source sim into the current (target) sim.
The FeModelOccurrence of the target sim onto which the user needs to import needs to be passed in. The input will be an array of FeModelOccurrences, if user wants to import the same source sim onto multiple FeModelOccurrences of the target sim. @return list of generated error codes during import
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
fileName | name of the source simulation file NOTE: The full Unicode character set is not supported for this parameter. |
prependString | string to prepend imported simulation entity names, can be NULL or empty NOTE: The full Unicode character set is not supported for this parameter. |
selOptions | options indicating the types of entities to be imported |
selectedFemoccs | Array of FeModelOccurrences to import onto CAE::FEModelOccurrence |
NXOpen::CAE::SimSimulation* NXOpen::CAE::SimPart::Simulation | ( | ) |
Returns the CAE::SimSimulation object
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")